
-- # import logic

lemma2 (A:Set)(P,Q:A -> Prop) : Exist (\x -> P x) -> Exist (\x -> P x \/ Q x)
lemma2  (witness x h) = witness x (orIL h)

cor (A:Set)(P:A -> Prop) : Exist (\x -> P x) -> Exist (\x -> P x \/ P x)
cor h = lemma2 h

data Nat : Set where
  zero : Nat
  suc  : Nat -> Nat

IsZero : Nat -> Prop
IsZero zero = True
IsZero (suc _) = False

lemma3 : Exist (\x -> IsZero x \/ Not (IsZero x))
lemma3 = lemma2 (witness zero tt)

