-- Elementary Geometry
-- Author :: Thierry Coquand
-- Created:: Feb 10, 2005

-- # import Property

Point : Set

Line : Set

Inc : Point -> Line -> Prop

ln : Point -> Point -> Line
pt : Line -> Line -> Point

axGeo : (a,b:Point) -> (l,m:Line) ->
 (Inc a l /\ Inc b l /\ Inc a m /\ Inc b m ==> a == b \/ l == m) /\
 (a == b \/ Inc a (ln a b))  /\
 (a == b \/ Inc b (ln a b))  /\
 (l == m \/ Inc (pt l m) l) /\
 (l == m \/ Inc (pt l m) m)

thm1 : (a,b:Point) -> (l:Line) ->
        Inc a l /\ Inc b l ==> a == b \/ (ln a b) == l
thm1 a b l = fol-plugin(axGeo)
