
-- # import Property
-- # import Code
-- # import Common

insert   (a : Set) : (a -> a -> Bool) -> a -> List a -> List a
sort     (a : Set) : (a -> a -> Bool) -> List a -> List a

-- insert == insert'
insertIsInsert (a : Set) :
    (leq : a -> a -> Bool) -> (x : a) -> (xs : List a) ->
    insert leq x xs == insert' leq x xs
insertIsInsert leq x []	    = fol-plugin(include Sort)
insertIsInsert leq x (y::ys) =
    ifElim (leq x y) (x :: y :: ys) (y :: insert' leq x ys)
	   (\zs -> insert leq x (y::ys) == zs)
	   fol-plugin(include Sort)
	   fol-plugin(include Sort, insertIsInsert leq x ys)

-- sort == sort'
sortIsSort (a : Set) :
    (leq : a -> a -> Bool) -> (xs : List a) ->
    sort leq xs == sort' leq xs
sortIsSort leq []     = fol-plugin(include Sort)
sortIsSort leq (x::xs) = fol-plugin(include Sort, insertIsInsert, sortIsSort leq xs)

