
-- Kleene algebra
A : Set
zero : A
one : A
(*) : A -> A -> A
(+) : A -> A -> A
star : A -> A
(==) = Eq A

(<=) : A -> A -> Prop
x <= y = x * y == x

ax1 : (a : A) -> one + a * star a <= star a

-- with test
B : Set
false : B
true : B
not : B -> B
(&) : B -> B -> B
(|) : B -> B -> B
f : A -> B   -- semi ring homomorphism

{-

  while b do c == f b * c

-}
